Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.150.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
86.150.0.0
Broadcast address
86.151.255.255
First usable
86.150.0.1
Last usable
86.151.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 56960000 · Integer 1452670976 to 1452802047
Reverse DNS zones
150.86.in-addr.arpa
151.86.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.10010110.00000000.0000000086.150.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01010110.10010110.00000000.0000000086.150.0.0
Broadcast01010110.10010111.11111111.1111111186.151.255.255
Split into smaller subnets/23

86.150.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.150.0.0/2386.150.0.1 to 86.150.1.25486.150.1.255510
286.150.2.0/2386.150.2.1 to 86.150.3.25486.150.3.255510
386.150.4.0/2386.150.4.1 to 86.150.5.25486.150.5.255510
486.150.6.0/2386.150.6.1 to 86.150.7.25486.150.7.255510
586.150.8.0/2386.150.8.1 to 86.150.9.25486.150.9.255510
686.150.10.0/2386.150.10.1 to 86.150.11.25486.150.11.255510
786.150.12.0/2386.150.12.1 to 86.150.13.25486.150.13.255510
886.150.14.0/2386.150.14.1 to 86.150.15.25486.150.15.255510
986.150.16.0/2386.150.16.1 to 86.150.17.25486.150.17.255510
1086.150.18.0/2386.150.18.1 to 86.150.19.25486.150.19.255510
1186.150.20.0/2386.150.20.1 to 86.150.21.25486.150.21.255510
1286.150.22.0/2386.150.22.1 to 86.150.23.25486.150.23.255510
1386.150.24.0/2386.150.24.1 to 86.150.25.25486.150.25.255510
1486.150.26.0/2386.150.26.1 to 86.150.27.25486.150.27.255510
1586.150.28.0/2386.150.28.1 to 86.150.29.25486.150.29.255510
1686.150.30.0/2386.150.30.1 to 86.150.31.25486.150.31.255510
1786.150.32.0/2386.150.32.1 to 86.150.33.25486.150.33.255510
1886.150.34.0/2386.150.34.1 to 86.150.35.25486.150.35.255510
1986.150.36.0/2386.150.36.1 to 86.150.37.25486.150.37.255510
2086.150.38.0/2386.150.38.1 to 86.150.39.25486.150.39.255510
2186.150.40.0/2386.150.40.1 to 86.150.41.25486.150.41.255510
2286.150.42.0/2386.150.42.1 to 86.150.43.25486.150.43.255510
2386.150.44.0/2386.150.44.1 to 86.150.45.25486.150.45.255510
2486.150.46.0/2386.150.46.1 to 86.150.47.25486.150.47.255510
2586.150.48.0/2386.150.48.1 to 86.150.49.25486.150.49.255510
2686.150.50.0/2386.150.50.1 to 86.150.51.25486.150.51.255510
2786.150.52.0/2386.150.52.1 to 86.150.53.25486.150.53.255510
2886.150.54.0/2386.150.54.1 to 86.150.55.25486.150.55.255510
2986.150.56.0/2386.150.56.1 to 86.150.57.25486.150.57.255510
3086.150.58.0/2386.150.58.1 to 86.150.59.25486.150.59.255510
3186.150.60.0/2386.150.60.1 to 86.150.61.25486.150.61.255510
3286.150.62.0/2386.150.62.1 to 86.150.63.25486.150.63.255510
3386.150.64.0/2386.150.64.1 to 86.150.65.25486.150.65.255510
3486.150.66.0/2386.150.66.1 to 86.150.67.25486.150.67.255510
3586.150.68.0/2386.150.68.1 to 86.150.69.25486.150.69.255510
3686.150.70.0/2386.150.70.1 to 86.150.71.25486.150.71.255510
3786.150.72.0/2386.150.72.1 to 86.150.73.25486.150.73.255510
3886.150.74.0/2386.150.74.1 to 86.150.75.25486.150.75.255510
3986.150.76.0/2386.150.76.1 to 86.150.77.25486.150.77.255510
4086.150.78.0/2386.150.78.1 to 86.150.79.25486.150.79.255510
4186.150.80.0/2386.150.80.1 to 86.150.81.25486.150.81.255510
4286.150.82.0/2386.150.82.1 to 86.150.83.25486.150.83.255510
4386.150.84.0/2386.150.84.1 to 86.150.85.25486.150.85.255510
4486.150.86.0/2386.150.86.1 to 86.150.87.25486.150.87.255510
4586.150.88.0/2386.150.88.1 to 86.150.89.25486.150.89.255510
4686.150.90.0/2386.150.90.1 to 86.150.91.25486.150.91.255510
4786.150.92.0/2386.150.92.1 to 86.150.93.25486.150.93.255510
4886.150.94.0/2386.150.94.1 to 86.150.95.25486.150.95.255510
4986.150.96.0/2386.150.96.1 to 86.150.97.25486.150.97.255510
5086.150.98.0/2386.150.98.1 to 86.150.99.25486.150.99.255510
5186.150.100.0/2386.150.100.1 to 86.150.101.25486.150.101.255510
5286.150.102.0/2386.150.102.1 to 86.150.103.25486.150.103.255510
5386.150.104.0/2386.150.104.1 to 86.150.105.25486.150.105.255510
5486.150.106.0/2386.150.106.1 to 86.150.107.25486.150.107.255510
5586.150.108.0/2386.150.108.1 to 86.150.109.25486.150.109.255510
5686.150.110.0/2386.150.110.1 to 86.150.111.25486.150.111.255510
5786.150.112.0/2386.150.112.1 to 86.150.113.25486.150.113.255510
5886.150.114.0/2386.150.114.1 to 86.150.115.25486.150.115.255510
5986.150.116.0/2386.150.116.1 to 86.150.117.25486.150.117.255510
6086.150.118.0/2386.150.118.1 to 86.150.119.25486.150.119.255510
6186.150.120.0/2386.150.120.1 to 86.150.121.25486.150.121.255510
6286.150.122.0/2386.150.122.1 to 86.150.123.25486.150.123.255510
6386.150.124.0/2386.150.124.1 to 86.150.125.25486.150.125.255510
6486.150.126.0/2386.150.126.1 to 86.150.127.25486.150.127.255510
6586.150.128.0/2386.150.128.1 to 86.150.129.25486.150.129.255510
6686.150.130.0/2386.150.130.1 to 86.150.131.25486.150.131.255510
6786.150.132.0/2386.150.132.1 to 86.150.133.25486.150.133.255510
6886.150.134.0/2386.150.134.1 to 86.150.135.25486.150.135.255510
6986.150.136.0/2386.150.136.1 to 86.150.137.25486.150.137.255510
7086.150.138.0/2386.150.138.1 to 86.150.139.25486.150.139.255510
7186.150.140.0/2386.150.140.1 to 86.150.141.25486.150.141.255510
7286.150.142.0/2386.150.142.1 to 86.150.143.25486.150.143.255510
7386.150.144.0/2386.150.144.1 to 86.150.145.25486.150.145.255510
7486.150.146.0/2386.150.146.1 to 86.150.147.25486.150.147.255510
7586.150.148.0/2386.150.148.1 to 86.150.149.25486.150.149.255510
7686.150.150.0/2386.150.150.1 to 86.150.151.25486.150.151.255510
7786.150.152.0/2386.150.152.1 to 86.150.153.25486.150.153.255510
7886.150.154.0/2386.150.154.1 to 86.150.155.25486.150.155.255510
7986.150.156.0/2386.150.156.1 to 86.150.157.25486.150.157.255510
8086.150.158.0/2386.150.158.1 to 86.150.159.25486.150.159.255510
8186.150.160.0/2386.150.160.1 to 86.150.161.25486.150.161.255510
8286.150.162.0/2386.150.162.1 to 86.150.163.25486.150.163.255510
8386.150.164.0/2386.150.164.1 to 86.150.165.25486.150.165.255510
8486.150.166.0/2386.150.166.1 to 86.150.167.25486.150.167.255510
8586.150.168.0/2386.150.168.1 to 86.150.169.25486.150.169.255510
8686.150.170.0/2386.150.170.1 to 86.150.171.25486.150.171.255510
8786.150.172.0/2386.150.172.1 to 86.150.173.25486.150.173.255510
8886.150.174.0/2386.150.174.1 to 86.150.175.25486.150.175.255510
8986.150.176.0/2386.150.176.1 to 86.150.177.25486.150.177.255510
9086.150.178.0/2386.150.178.1 to 86.150.179.25486.150.179.255510
9186.150.180.0/2386.150.180.1 to 86.150.181.25486.150.181.255510
9286.150.182.0/2386.150.182.1 to 86.150.183.25486.150.183.255510
9386.150.184.0/2386.150.184.1 to 86.150.185.25486.150.185.255510
9486.150.186.0/2386.150.186.1 to 86.150.187.25486.150.187.255510
9586.150.188.0/2386.150.188.1 to 86.150.189.25486.150.189.255510
9686.150.190.0/2386.150.190.1 to 86.150.191.25486.150.191.255510
9786.150.192.0/2386.150.192.1 to 86.150.193.25486.150.193.255510
9886.150.194.0/2386.150.194.1 to 86.150.195.25486.150.195.255510
9986.150.196.0/2386.150.196.1 to 86.150.197.25486.150.197.255510
10086.150.198.0/2386.150.198.1 to 86.150.199.25486.150.199.255510
10186.150.200.0/2386.150.200.1 to 86.150.201.25486.150.201.255510
10286.150.202.0/2386.150.202.1 to 86.150.203.25486.150.203.255510
10386.150.204.0/2386.150.204.1 to 86.150.205.25486.150.205.255510
10486.150.206.0/2386.150.206.1 to 86.150.207.25486.150.207.255510
10586.150.208.0/2386.150.208.1 to 86.150.209.25486.150.209.255510
10686.150.210.0/2386.150.210.1 to 86.150.211.25486.150.211.255510
10786.150.212.0/2386.150.212.1 to 86.150.213.25486.150.213.255510
10886.150.214.0/2386.150.214.1 to 86.150.215.25486.150.215.255510
10986.150.216.0/2386.150.216.1 to 86.150.217.25486.150.217.255510
11086.150.218.0/2386.150.218.1 to 86.150.219.25486.150.219.255510
11186.150.220.0/2386.150.220.1 to 86.150.221.25486.150.221.255510
11286.150.222.0/2386.150.222.1 to 86.150.223.25486.150.223.255510
11386.150.224.0/2386.150.224.1 to 86.150.225.25486.150.225.255510
11486.150.226.0/2386.150.226.1 to 86.150.227.25486.150.227.255510
11586.150.228.0/2386.150.228.1 to 86.150.229.25486.150.229.255510
11686.150.230.0/2386.150.230.1 to 86.150.231.25486.150.231.255510
11786.150.232.0/2386.150.232.1 to 86.150.233.25486.150.233.255510
11886.150.234.0/2386.150.234.1 to 86.150.235.25486.150.235.255510
11986.150.236.0/2386.150.236.1 to 86.150.237.25486.150.237.255510
12086.150.238.0/2386.150.238.1 to 86.150.239.25486.150.239.255510
12186.150.240.0/2386.150.240.1 to 86.150.241.25486.150.241.255510
12286.150.242.0/2386.150.242.1 to 86.150.243.25486.150.243.255510
12386.150.244.0/2386.150.244.1 to 86.150.245.25486.150.245.255510
12486.150.246.0/2386.150.246.1 to 86.150.247.25486.150.247.255510
12586.150.248.0/2386.150.248.1 to 86.150.249.25486.150.249.255510
12686.150.250.0/2386.150.250.1 to 86.150.251.25486.150.251.255510
12786.150.252.0/2386.150.252.1 to 86.150.253.25486.150.253.255510
12886.150.254.0/2386.150.254.1 to 86.150.255.25486.150.255.255510
12986.151.0.0/2386.151.0.1 to 86.151.1.25486.151.1.255510
13086.151.2.0/2386.151.2.1 to 86.151.3.25486.151.3.255510
13186.151.4.0/2386.151.4.1 to 86.151.5.25486.151.5.255510
13286.151.6.0/2386.151.6.1 to 86.151.7.25486.151.7.255510
13386.151.8.0/2386.151.8.1 to 86.151.9.25486.151.9.255510
13486.151.10.0/2386.151.10.1 to 86.151.11.25486.151.11.255510
13586.151.12.0/2386.151.12.1 to 86.151.13.25486.151.13.255510
13686.151.14.0/2386.151.14.1 to 86.151.15.25486.151.15.255510
13786.151.16.0/2386.151.16.1 to 86.151.17.25486.151.17.255510
13886.151.18.0/2386.151.18.1 to 86.151.19.25486.151.19.255510
13986.151.20.0/2386.151.20.1 to 86.151.21.25486.151.21.255510
14086.151.22.0/2386.151.22.1 to 86.151.23.25486.151.23.255510
14186.151.24.0/2386.151.24.1 to 86.151.25.25486.151.25.255510
14286.151.26.0/2386.151.26.1 to 86.151.27.25486.151.27.255510
14386.151.28.0/2386.151.28.1 to 86.151.29.25486.151.29.255510
14486.151.30.0/2386.151.30.1 to 86.151.31.25486.151.31.255510
14586.151.32.0/2386.151.32.1 to 86.151.33.25486.151.33.255510
14686.151.34.0/2386.151.34.1 to 86.151.35.25486.151.35.255510
14786.151.36.0/2386.151.36.1 to 86.151.37.25486.151.37.255510
14886.151.38.0/2386.151.38.1 to 86.151.39.25486.151.39.255510
14986.151.40.0/2386.151.40.1 to 86.151.41.25486.151.41.255510
15086.151.42.0/2386.151.42.1 to 86.151.43.25486.151.43.255510
15186.151.44.0/2386.151.44.1 to 86.151.45.25486.151.45.255510
15286.151.46.0/2386.151.46.1 to 86.151.47.25486.151.47.255510
15386.151.48.0/2386.151.48.1 to 86.151.49.25486.151.49.255510
15486.151.50.0/2386.151.50.1 to 86.151.51.25486.151.51.255510
15586.151.52.0/2386.151.52.1 to 86.151.53.25486.151.53.255510
15686.151.54.0/2386.151.54.1 to 86.151.55.25486.151.55.255510
15786.151.56.0/2386.151.56.1 to 86.151.57.25486.151.57.255510
15886.151.58.0/2386.151.58.1 to 86.151.59.25486.151.59.255510
15986.151.60.0/2386.151.60.1 to 86.151.61.25486.151.61.255510
16086.151.62.0/2386.151.62.1 to 86.151.63.25486.151.63.255510
16186.151.64.0/2386.151.64.1 to 86.151.65.25486.151.65.255510
16286.151.66.0/2386.151.66.1 to 86.151.67.25486.151.67.255510
16386.151.68.0/2386.151.68.1 to 86.151.69.25486.151.69.255510
16486.151.70.0/2386.151.70.1 to 86.151.71.25486.151.71.255510
16586.151.72.0/2386.151.72.1 to 86.151.73.25486.151.73.255510
16686.151.74.0/2386.151.74.1 to 86.151.75.25486.151.75.255510
16786.151.76.0/2386.151.76.1 to 86.151.77.25486.151.77.255510
16886.151.78.0/2386.151.78.1 to 86.151.79.25486.151.79.255510
16986.151.80.0/2386.151.80.1 to 86.151.81.25486.151.81.255510
17086.151.82.0/2386.151.82.1 to 86.151.83.25486.151.83.255510
17186.151.84.0/2386.151.84.1 to 86.151.85.25486.151.85.255510
17286.151.86.0/2386.151.86.1 to 86.151.87.25486.151.87.255510
17386.151.88.0/2386.151.88.1 to 86.151.89.25486.151.89.255510
17486.151.90.0/2386.151.90.1 to 86.151.91.25486.151.91.255510
17586.151.92.0/2386.151.92.1 to 86.151.93.25486.151.93.255510
17686.151.94.0/2386.151.94.1 to 86.151.95.25486.151.95.255510
17786.151.96.0/2386.151.96.1 to 86.151.97.25486.151.97.255510
17886.151.98.0/2386.151.98.1 to 86.151.99.25486.151.99.255510
17986.151.100.0/2386.151.100.1 to 86.151.101.25486.151.101.255510
18086.151.102.0/2386.151.102.1 to 86.151.103.25486.151.103.255510
18186.151.104.0/2386.151.104.1 to 86.151.105.25486.151.105.255510
18286.151.106.0/2386.151.106.1 to 86.151.107.25486.151.107.255510
18386.151.108.0/2386.151.108.1 to 86.151.109.25486.151.109.255510
18486.151.110.0/2386.151.110.1 to 86.151.111.25486.151.111.255510
18586.151.112.0/2386.151.112.1 to 86.151.113.25486.151.113.255510
18686.151.114.0/2386.151.114.1 to 86.151.115.25486.151.115.255510
18786.151.116.0/2386.151.116.1 to 86.151.117.25486.151.117.255510
18886.151.118.0/2386.151.118.1 to 86.151.119.25486.151.119.255510
18986.151.120.0/2386.151.120.1 to 86.151.121.25486.151.121.255510
19086.151.122.0/2386.151.122.1 to 86.151.123.25486.151.123.255510
19186.151.124.0/2386.151.124.1 to 86.151.125.25486.151.125.255510
19286.151.126.0/2386.151.126.1 to 86.151.127.25486.151.127.255510
19386.151.128.0/2386.151.128.1 to 86.151.129.25486.151.129.255510
19486.151.130.0/2386.151.130.1 to 86.151.131.25486.151.131.255510
19586.151.132.0/2386.151.132.1 to 86.151.133.25486.151.133.255510
19686.151.134.0/2386.151.134.1 to 86.151.135.25486.151.135.255510
19786.151.136.0/2386.151.136.1 to 86.151.137.25486.151.137.255510
19886.151.138.0/2386.151.138.1 to 86.151.139.25486.151.139.255510
19986.151.140.0/2386.151.140.1 to 86.151.141.25486.151.141.255510
20086.151.142.0/2386.151.142.1 to 86.151.143.25486.151.143.255510
20186.151.144.0/2386.151.144.1 to 86.151.145.25486.151.145.255510
20286.151.146.0/2386.151.146.1 to 86.151.147.25486.151.147.255510
20386.151.148.0/2386.151.148.1 to 86.151.149.25486.151.149.255510
20486.151.150.0/2386.151.150.1 to 86.151.151.25486.151.151.255510
20586.151.152.0/2386.151.152.1 to 86.151.153.25486.151.153.255510
20686.151.154.0/2386.151.154.1 to 86.151.155.25486.151.155.255510
20786.151.156.0/2386.151.156.1 to 86.151.157.25486.151.157.255510
20886.151.158.0/2386.151.158.1 to 86.151.159.25486.151.159.255510
20986.151.160.0/2386.151.160.1 to 86.151.161.25486.151.161.255510
21086.151.162.0/2386.151.162.1 to 86.151.163.25486.151.163.255510
21186.151.164.0/2386.151.164.1 to 86.151.165.25486.151.165.255510
21286.151.166.0/2386.151.166.1 to 86.151.167.25486.151.167.255510
21386.151.168.0/2386.151.168.1 to 86.151.169.25486.151.169.255510
21486.151.170.0/2386.151.170.1 to 86.151.171.25486.151.171.255510
21586.151.172.0/2386.151.172.1 to 86.151.173.25486.151.173.255510
21686.151.174.0/2386.151.174.1 to 86.151.175.25486.151.175.255510
21786.151.176.0/2386.151.176.1 to 86.151.177.25486.151.177.255510
21886.151.178.0/2386.151.178.1 to 86.151.179.25486.151.179.255510
21986.151.180.0/2386.151.180.1 to 86.151.181.25486.151.181.255510
22086.151.182.0/2386.151.182.1 to 86.151.183.25486.151.183.255510
22186.151.184.0/2386.151.184.1 to 86.151.185.25486.151.185.255510
22286.151.186.0/2386.151.186.1 to 86.151.187.25486.151.187.255510
22386.151.188.0/2386.151.188.1 to 86.151.189.25486.151.189.255510
22486.151.190.0/2386.151.190.1 to 86.151.191.25486.151.191.255510
22586.151.192.0/2386.151.192.1 to 86.151.193.25486.151.193.255510
22686.151.194.0/2386.151.194.1 to 86.151.195.25486.151.195.255510
22786.151.196.0/2386.151.196.1 to 86.151.197.25486.151.197.255510
22886.151.198.0/2386.151.198.1 to 86.151.199.25486.151.199.255510
22986.151.200.0/2386.151.200.1 to 86.151.201.25486.151.201.255510
23086.151.202.0/2386.151.202.1 to 86.151.203.25486.151.203.255510
23186.151.204.0/2386.151.204.1 to 86.151.205.25486.151.205.255510
23286.151.206.0/2386.151.206.1 to 86.151.207.25486.151.207.255510
23386.151.208.0/2386.151.208.1 to 86.151.209.25486.151.209.255510
23486.151.210.0/2386.151.210.1 to 86.151.211.25486.151.211.255510
23586.151.212.0/2386.151.212.1 to 86.151.213.25486.151.213.255510
23686.151.214.0/2386.151.214.1 to 86.151.215.25486.151.215.255510
23786.151.216.0/2386.151.216.1 to 86.151.217.25486.151.217.255510
23886.151.218.0/2386.151.218.1 to 86.151.219.25486.151.219.255510
23986.151.220.0/2386.151.220.1 to 86.151.221.25486.151.221.255510
24086.151.222.0/2386.151.222.1 to 86.151.223.25486.151.223.255510
24186.151.224.0/2386.151.224.1 to 86.151.225.25486.151.225.255510
24286.151.226.0/2386.151.226.1 to 86.151.227.25486.151.227.255510
24386.151.228.0/2386.151.228.1 to 86.151.229.25486.151.229.255510
24486.151.230.0/2386.151.230.1 to 86.151.231.25486.151.231.255510
24586.151.232.0/2386.151.232.1 to 86.151.233.25486.151.233.255510
24686.151.234.0/2386.151.234.1 to 86.151.235.25486.151.235.255510
24786.151.236.0/2386.151.236.1 to 86.151.237.25486.151.237.255510
24886.151.238.0/2386.151.238.1 to 86.151.239.25486.151.239.255510
24986.151.240.0/2386.151.240.1 to 86.151.241.25486.151.241.255510
25086.151.242.0/2386.151.242.1 to 86.151.243.25486.151.243.255510
25186.151.244.0/2386.151.244.1 to 86.151.245.25486.151.245.255510
25286.151.246.0/2386.151.246.1 to 86.151.247.25486.151.247.255510
25386.151.248.0/2386.151.248.1 to 86.151.249.25486.151.249.255510
25486.151.250.0/2386.151.250.1 to 86.151.251.25486.151.251.255510
25586.151.252.0/2386.151.252.1 to 86.151.253.25486.151.253.255510
25686.151.254.0/2386.151.254.1 to 86.151.255.25486.151.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses